<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.pjilisense.flxai.dao.AppAiModelDao">

    <resultMap type="com.pjilisense.flxai.entity.AppAiModelEntity" id="appAiModelMap">
        <result property="id" column="id"/>
        <result property="identifier" column="identifier"/>
        <result property="providers" column="providers"/>
        <result property="conversations" column="conversations"/>
        <result property="likes" column="likes"/>
        <result property="tokens" column="tokens"/>
        <result property="description" column="description"/>
        <result property="displayname" column="displayname"/>
        <result property="enabled" column="enabled"/>
        <result property="metaId" column="meta_id"/>
        <result property="metaTokens" column="meta_tokens"/>
        <result property="category" column="category"/>
        <result property="title" column="title"/>
        <result property="suggestions" column="suggestions"/>
        <result property="createdAt" column="created_at"/>
        <result property="userid" column="userid"/>
    </resultMap>


</mapper>